Subject: bug#73709: 29.4; Doc of `file-newer-than-file-p'

From: Michael Heerdegen <[email-masked]>
Date: Tue, 15 Oct 2024 03:10:56 +0200

Eli Zaretskii <[email-masked]> writes:

> > "Return t if content of FILE1 is newer than content of FILE2."
> >
> > Short and clear.
>
> It's short and clear, but it's inaccurate.  E.g., how to define
> "content newer" when both files have the same content (like if one of
> them is a copy of the other)?

Would it be less problematic to refer to "the time when the file has
been last saved"?  I think this comes close to the actual meaning,
doesn't refer to internals, and also suggest the intended semantics for
the existing use cases (auto-save files, source vs. compiled files,
etc.).

Michael.